Ubuntu

“libpipeline” package in Ubuntu

libpipeline-dev: No summary available for libpipeline-dev in ubuntu utopic.
libpipeline1: No summary available for libpipeline1 in ubuntu utopic.

This package has 1 new bug and 0 open questions.

Package information

Maintainer:
Colin Watson
Urgency:*
Medium Urgency
Component:*
main
Architectures:*
any
Latest upload:
1.3.0-1

*actual publishing details may vary in this distribution, these are just the package defaults.

Upstream connections

libpipelinetrunk

libpipeline is a C library for setting up and running pipelines of processes, without needing to involve shell command-line parsing which is often error-prone and insecure. This relieves programmers of the need to laboriously construct pipelines using lower-level primitives such as fork(2) and execve(2).

Bug supervisor: yes
Bug tracker: yes
Branch: yes

libpipeline 1.2.3 is older than the current packaged version. Launchpad may be missing release information for the trunk series or this package is linked to the wrong libpipeline series.

The Utopic Unicorn (pre-release freeze)
1.3.0-1 release (main) 21 hours ago
The Trusty Tahr (current stable release)
1.3.0-1 release (main) 2014-04-10
The Saucy Salamander (supported)
1.2.4-1 release (main) 2013-06-06
The Quantal Quetzal (supported)
1.2.2-1 release (main) 2012-09-18
The Precise Pangolin (supported)
1.2.1-1 release (main) 2012-03-03
The Lucid Lynx (supported)
1.1.0-1~lucid1 backports (universe) 2011-01-31